import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
/**
 * This component creates a complete editor from a viewmodel. The viewmodel should have
 * decorators to control the form's behavior. The form can be styled an supports validation.
 * It creates one field for each property not decorated with {@link Hidden}decorator.
 *
 * Example of usage:
 * <example-url>/#/editor</example-url>
 */
export declare class AutoFormComponent implements OnInit {
    /**
     * A reference to the form. Required.
     */
    formGroup: FormGroup;
    /**
     * Ungrouped element will appear at the end, after all groupes.
     * If there are no groups this will be ignored. Optional.
     */
    ungroupedAfter: boolean;
    editors: {
        key: number;
        editor: string;
    }[];
    groups: {
        key: number;
        name: string;
        desc: string;
        editors: {
            key: number;
            editor: string;
        }[];
    }[];
    constructor();
    ngOnInit(): void;
    grouped(): boolean;
}
//# sourceMappingURL=autoform.component.d.ts.map