import { EventEmitter } from '@angular/core';
import { TreeNodeModel } from '@svogv/core';
/**
 * The treeview can held any tree of nodes, which can be styles, linked, and bound to events.
 * Clicking on the items fires various events.
 *
 * The component creates a treeview that can handle {@link TreeNodeModel objects that create text, checkboxes, or}highlights.
 * A node can have an icon. The icons are based on FontAwesome's css classes.
 *
 * Example of usage:
 * <example-url>/#/widget/tree</example-url>
 */
export declare class TreeViewComponent {
    nodes: TreeNodeModel;
    nodeClick: EventEmitter<TreeNodeModel>;
    checkChanged: EventEmitter<TreeNodeModel>;
    selectedChanged: EventEmitter<TreeNodeModel>;
    collapseChanged: EventEmitter<TreeNodeModel>;
    constructor();
    onNodeClick(node: TreeNodeModel): void;
    onCheckChanged(node: TreeNodeModel): void;
    onSelectedChanged(node: TreeNodeModel): void;
    onCollapseChanged(node: TreeNodeModel): void;
}
//# sourceMappingURL=treeview.component.d.ts.map